Skip to main content
`Ctrl`+`K`

# PetscAddLogDouble

Atomically add a `PetscLogDouble` value to both a global counter and its per-thread counterpart

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscAddLogDouble(PetscLogDouble *tot, PetscLogDouble *tot_th, PetscLogDouble value)

Not Collective; No Fortran Support

## Input Parameters

- tot - pointer to the global counter to update

- tot_th - pointer to the per-thread counter to update

- value - the value to add to both counters

## Note

When PETSc is built without thread safety this is a fast macro that performs the same update without locking.

## See Also

`PetscAddLogDoubleCnt()`, `PetscLogFlops()`, `PetscLogDouble`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages